## setcd 1.1

=== Makefile ===
# Makefile for setcd

# rely on default rules of GNU make

prefix=/usr/local
source=/home/david/cdrom
revision=1.1

CC=gcc
CFLAGS=-g -Wall
INSTALL=install

install: setcd cdrom-standard.ps
	$(INSTALL) -s -m 0755 setcd $(prefix)/bin/setcd
	$(INSTALL) -m 0644 setcd.1 $(prefix)/man/man1
	$(INSTALL) -m 0644 cdrom-standard.ps $(prefix)/doc/setcd

cdrom-standard.ps: /usr/src/linux/Documentation/cdrom/cdrom-standard.tex
	ln -sf /usr/src/linux/Documentation/cdrom/cdrom-standard.tex .
	latex cdrom-standard.tex
	latex cdrom-standard.tex
	dvips cdrom-standard -o
	
distclean:
	rm -f cdrom-standard.{tex,log,ps,aux,dvi}
	rm -f setcd

sources:
	co -p$(revision) $(source)/setcd.c > setcd.c
	co -p$(revision) $(source)/setcd.1 > setcd.1
	rcs2log $(source)/setcd.c > ChangeLog

=== debian/changelog ===
setcd (1.1-1) unstable; urgency=low

  * This package is developed with Debian for Debian. Maybe we can
    substract ordinary .tar.gz packages for inferior distributions.

 -- David van Leeuwen <david@tm.tno.nl>  Sat, 22 Feb 1997 21:59:52 +0100

=== debian/control ===
Source: setcd
Section: optional
Priority: optional
Maintainer: David van Leeuwen <david@tm.tno.nl>
Standards-Version: 2.1.2.2

Package: setcd
Architecture: i386
Description: Control the behaviour of your cdrom device
 This program allows you to control the behaviour of your Linux cdrom
 player. You'll need a cdrom device that complies to the new interface
 defined in linux/Documentation/cdrom/cdrom-standard.tex. For
 kernel 2.0 this is only the cm206 drive, for kernel 2.1 this
 includes IDE and SCSI drives. 
 .
 You can control: auto close, auto eject, medium type checking and
 tray locking. You can get information on the volume name of cdroms
 and other data, and you can set the speed of your drive and choose a
 disc from a jukebox. 
 .
 In order to fully exploit the possibilities, you'll need a recent
 version of libc-5.4 and the linux kernel, but you will get decent
 error behaviour in return. Expect a message "No medium found" if you
 attempt to mount an empty drive or "Wrong medium type" if you try to
 mount an audio disc, instead of a whole load of kernel error
 messages. 
 .
 The source of this package may be an example for cdrom player program
 developers that wish to exploit the features of the new cdrom
 interface.

=== debian/rules ===
#!/usr/bin/make -f

package=setcd

build:
	$(MAKE) CFLAGS=-O2 setcd
	touch build

clean:
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary: binary-arch

binary-arch: build
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN debian/tmp/usr/bin 
	install -d debian/tmp/usr/doc/$(package) debian/tmp/usr/man/man1
#	cp debian/{postinst,prerm} debian/tmp/DEBIAN/.
#	chmod +x debian/tmp/DEBIAN/{postinst,prerm}
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s prefix=debian/tmp/usr install
	gzip -9v debian/tmp/usr/man/man1/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp ChangeLog debian/tmp/usr/doc/$(package)/changelog
	gzip -9v debian/tmp/usr/doc/$(package)/changelog{,.Debian}
	gzip -9v debian/tmp/usr/doc/$(package)/cdrom-standard.ps
#	dpkg-shlibdeps $(package)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

.PHONY: binary binary-arch binary-indep

## setcd 1.2

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,13 @@
 
 prefix=/usr/local
 source=/home/david/cdrom
-revision=1.1
+revision=1.2
 
 CC=gcc
 CFLAGS=-g -Wall
 INSTALL=install
+
+default: setcd cdrom-standard.ps
 
 install: setcd cdrom-standard.ps
 	$(INSTALL) -s -m 0755 setcd $(prefix)/bin/setcd

## setcd 1.3-1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 prefix=/usr/local
 source=/home/david/cdrom
-revision=1.2
+revision=1.3
 
 CC=gcc
 CFLAGS=-g -Wall
@@ -21,7 +21,7 @@
 	ln -sf /usr/src/linux/Documentation/cdrom/cdrom-standard.tex .
 	latex cdrom-standard.tex
 	latex cdrom-standard.tex
-	dvips cdrom-standard -o
+	dvips cdrom-standard -r0 -o
 	
 distclean:
 	rm -f cdrom-standard.{tex,log,ps,aux,dvi}

=== debian/changelog ===
setcd (1.3-1) unstable frozen; urgency=low

  * New `upstream' version

 -- David A. van Leeuwen <david@ElseWare.cistron.nl>  Mon, 16 Nov 1998 23:30:22 +0100

setcd (1.2-3) unstable frozen; urgency=low

  * Implemented dpkg-shlibdeps instead of static dependency on libc, for
    Bug#26793.  

 -- David A. van Leeuwen <david@ElseWare.cistron.nl>  Mon, 16 Nov 1998 23:14:53 +0100

setcd (1.2-2) unstable; urgency=low

  * Changed dependency in debian/control on libc6, solves bug#15591.

 -- David A. van Leeuwen <david@ElseWare.cistron.nl>  Sat, 6 Dec 1997 09:06:23 +0100

setcd (1.2-1) unstable; urgency=low

  * Changed to upstream revision 1.2.
  * Changed to libc6.
  * Updated cdrom-standard.ps to most recent version.

 -- David A. van Leeuwen <david@ElseWare.cistron.nl>  Wed, 19 Nov 1997 23:05:00 +0100

setcd (1.1-2) unstable; urgency=low

  * Made architecture `any' instead of `i386', solves bug 13693.  I wish
    there was a simple debian packaging HOWTO... 

  * Added dependency on libc5, 5.4.33, which includes the new cdrom
    error messages.

 -- David A. van Leeuwen <david@ElseWare.cistron.nl>  Sat, 11 Oct 1997 12:17:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,11 @@
 	cp ChangeLog debian/tmp/usr/doc/$(package)/changelog
 	gzip -9v debian/tmp/usr/doc/$(package)/changelog{,.Debian}
 	gzip -9v debian/tmp/usr/doc/$(package)/cdrom-standard.ps
-#	dpkg-shlibdeps $(package)
+	dpkg-shlibdeps $(package)
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..
 
 .PHONY: binary binary-arch binary-indep
+

## setcd 1.4-1

=== debian/changelog ===
setcd (1.4-1) unstable; urgency=low

  * Source changed, in order to fix Bug#43304, as suggested by Andreas
    Degert <ad@papyrus-gmbh.de> 

 -- David A. van Leeuwen <david@elseware.cistron.nl>  Tue, 24 Aug 1999 21:24:27 +0200

setcd (1.3-3) unstable; urgency=low

  * Added #ifdef for CDS_MIXED, a 2.1.n define.  Should help to build on
    other architectures.

 -- David A. van Leeuwen <david@ElseWare.cistron.nl>  Wed, 25 Nov 1998 23:02:04 +0100

setcd (1.3-2) unstable; urgency=low

  * Removed cdrom-standard.ps from doc, is found in kernel-doc-<version>,
    fixing arch / build dependency (Bug#29898).  Included debstd in
    debian/rules as well. 

 -- David A. van Leeuwen <david@ElseWare.cistron.nl>  Tue, 24 Nov 1998 21:51:31 +0100

=== debian/rules ===
#!/usr/bin/make -f

package=setcd

build:
	$(MAKE) CFLAGS=-O2 setcd
	touch build

clean:
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary: binary-arch

binary-arch: build
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp; install -d `cat ../dirs`
	install -s -m 0755 setcd debian/tmp/usr/bin/setcd
#	install -m 0644 setcd.1 debian/tmp/usr/man/man1
	cp ChangeLog debian/tmp/usr/doc/$(package)/changelog
	debstd
	dpkg-shlibdeps $(package)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

.PHONY: binary binary-arch binary-indep

## setcd 1.4-2

=== debian/changelog ===
setcd (1.4-2) unstable; urgency=low

  * Remove empty postinst and prerm, solving bug#32761

 -- David A. van Leeuwen <david@elseware.cistron.nl>  Tue,  8 Feb 2000 22:59:03 +0100

=== debian/control ===
Source: setcd
Section: misc
Priority: optional
Maintainer: David van Leeuwen <david@ElseWare.cistron.nl>
Standards-Version: 2.1.2.2

Package: setcd
Architecture: any
Depends: ${shlibs:Depends}
Description: Control the behaviour of your cdrom device
 This program allows you to control the behaviour of your Linux cdrom
 player.  You'll need a cdrom device that complies to the new interface
 defined in linux/Documentation/cdrom/cdrom-standard.tex.  For
 kernel 2.0 this is only the cm206 drive, for kernel 2.1 this
 includes IDE and SCSI drives. 
 .
 You can control: auto close, auto eject, medium type checking and
 tray locking.  You can get information on the volume name of cdroms
 and other data, and you can set the speed of your drive and choose a
 disc from a jukebox. 
 .
 In order to fully exploit the possibilities, you'll need libc6 and a
 recent version of the the linux kernel, but you will get decent error
 behaviour in return.  Expect a message "No medium found" if you
 attempt to mount an empty drive or "Wrong medium type" if you try to
 mount an audio disc, instead of a whole load of kernel error
 messages.
 .
 The source of this package may be an example for cdrom player program
 developers that wish to exploit the features of the new cdrom
 interface.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	cd debian/tmp; install -d `cat ../dirs`
 	install -s -m 0755 setcd debian/tmp/usr/bin/setcd
 #	install -m 0644 setcd.1 debian/tmp/usr/man/man1
-	cp ChangeLog debian/tmp/usr/doc/$(package)/changelog
+	cp ChangeLog debian/tmp/usr/share/doc/$(package)/changelog
 	debstd
 	dpkg-shlibdeps $(package)
 	dpkg-gencontrol

## setcd 1.5

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # rely on default rules of GNU make
 
 prefix=/usr/local
-source=/home/david/cdrom
-revision=1.3
+source=$(HOME)/cdrom
+revision=1.4
 
 CC=gcc
 CFLAGS=-g -Wall
@@ -30,5 +30,6 @@
 sources:
 	co -p$(revision) $(source)/setcd.c > setcd.c
 	co -p$(revision) $(source)/setcd.1 > setcd.1
-	rcs2log $(source)/setcd.c > ChangeLog
+	rcs2log $(source)/setcd.c | \
+		sed 's/davidav.our.home/ElseWare.cistron.nl/' > ChangeLog

=== debian/changelog ===
setcd (1.5-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (closes: #1067542)

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jun 2024 12:56:28 +0000

setcd (1.5-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to debhelper compatibility level 13 with short dh rules,
    enabling all hardening options. Closes: #965821, #998970.
  * Explicitly mark the package as using format “1.0”.
  * Pass dpkg-specified compiler settings to the build. Closes: #902574.
  * Set “Rules-Requires-Root: no”.
  * Clean up whitespace in debian/changelog.

 -- Stephen Kitt <skitt@debian.org>  Thu, 09 Feb 2023 13:52:45 +0100

setcd (1.5-6) unstable; urgency=low

  * Adopting the package. (closes: #406134)
  * Now using the SET STREAMING command too. (closes: #367008)
    + Code from: Thomas Fritzsche <tf@noto.de>
    + Patch from: Alexander Gattin <xrgtn@yandex.ru>
  * Fixing some minor lintian warnings.

 -- LENART Janos <ocsi@debian.org>  Tue, 14 Apr 2009 07:10:24 +0200

setcd (1.5-5) unstable; urgency=low

  * QA upload.
  * setcd.c: Include the <limits.h> header which defines the used INT_MAX
    macro. This fixes a FTBFS with GCC 4.3. Thanks to Martin Michlmayr for the
    bug report. (closes: #455321)
  * Bumped Standards-Version from 3.7.2 to 3.7.3, no changes required.
  * Updated debhelper compatibility level to V5, which is the current
    recommended level and raised the build dependency to "debhelper (>= 5)".
  * Renamed Build-depends to Build-Depends in debian/control.

 -- Frank S. Thomas <fst@debian.org>  Sat, 15 Dec 2007 10:12:54 +0100

setcd (1.5-4) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #406134
  * Remove substvars from .diff.gz
  * Update debian/copyright
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 22 Jan 2007 10:06:04 +0100

setcd (1.5-3) unstable; urgency=low

  * Changed name in control to match changelog name.  Closes bugs marked
    as NMU, but were in fact done by me me.  Closes: #213514, #105190, #127325,
    #190525, #125348, #170788
  * Refer to caddies as well as trays. (closes: #234337)
  * Made description less irritating. (closes: #234334)
  * Updated the manpage a bit. (closes: #234336)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Sun, 29 Aug 2004 23:05:16 +0200

setcd (1.5-2) unstable; urgency=low

  * Changed section to utils, according to override file.
  * Added debhelper explicitly in build-depends (sorry, i assumed it was a
    standard build package).  Closes: #213514

 -- David A. van Leeuwen <vleeuwen@debian.org>  Wed,  1 Oct 2003 15:26:41 +0200

setcd (1.5-1) unstable; urgency=low

  * New upstream release.  Should fix `debian-native upload' problem.  No
    actual changes in source code.  Only in copyright, changelog.
  * Up to standards-version 3.6.1.
  * Changed over from debmake to debhelper.
  * Chaged `debian/dirs' according to FSSTND
  * Changed copyright file to include name of maintainer and source
    location.  (Closes: #170788)
  * Appreciate great work of NMU workers! Hopefully really (Closes:
    #127325, #190525, #125348)
  * Inspected buildd logs of previous version, that actually seems OK, for
    every arch other than Hurd (it is a linux-specific package---i wrote
    the linux cdrom `uniform' driver myself!).  So I'm going to close the
    following bug.  (Closes: #105190)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Sun, 28 Sep 2003 22:10:12 +0200

setcd (1.4-2.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on debmake.  Closes: #190525.
  * Fix capitalization and double word in description.
    Closes: #125348, #127325.

 -- Daniel Schepler <schepler@debian.org>  Tue, 19 Aug 2003 04:51:40 -0700

=== debian/control ===
Source: setcd
Section: utils
Priority: optional
Maintainer: LENART Janos <ocsi@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 3.8.1
Rules-Requires-Root: no

Package: setcd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Control the behaviour of your cdrom device
 This program allows you to control the behaviour of your Linux cdrom
 player.
 .
 You can control: auto close, auto eject, medium type checking and
 tray/caddy locking.  You can get information on the volume name of CD-ROMs
 and other data, and you can set the speed of your drive and choose a
 disc from a jukebox.
 .
 The source of this package may be an example for cdrom player program
 developers that wish to exploit the features of the Linux cdrom
 interface.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- setcd CC="$(CC)" CFLAGS="$(CFLAGS)"

override_dh_auto_install:
